Page MenuHomePhabricator

Error messages for Special:GoToLinkedPage when requested target doesn't exist
Closed, ResolvedPublic

Description

When visiting Special:GoToLinkedPage and the given item does not have a sitelink for the given site it just shows the form. We should at least notify the user that there is no such page at the moment and maybe also link them to reasonator and/or add a lnk to the item's page. There should also be error messages when an invalid or non-existent id was given and so on.

Example: https://www.wikidata.org/wiki/Special:GoToLinkedPage/hewiki/Q12435


Version: unspecified
Whiteboard: u=dev c=backend p=0
URL: https://www.wikidata.org/wiki/Special:GoToLinkedPage
See Also:
T72159: Forward according to user's preferred language on Special:GoToLinkedPage

Details

Reference
bz70127

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 3:33 AM
bzimport set Reference to bz70127.
bzimport added a subscriber: Unknown Object (MLST).
Bene created this task.Aug 28 2014, 4:44 PM
Lydia_Pintscher removed a subscriber: Unknown Object (MLST).
Lydia_Pintscher removed a subscriber: Unknown Object (MLST).
Lydia_Pintscher lowered the priority of this task from Normal to Low.Mar 17 2015, 12:06 PM
Lydia_Pintscher added a project: patch-welcome.
Legoktm set Security to None.
Legoktm added a subscriber: Legoktm.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 3 2015, 9:45 AM

Change 228810 had a related patch set uploaded (by Jonas Kress (WMDE)):
Error message for Special:GoToLinkedPage

https://gerrit.wikimedia.org/r/228810

Change 228810 merged by jenkins-bot:
Error message for Special:GoToLinkedPage

https://gerrit.wikimedia.org/r/228810

Jonas closed this task as Resolved.Aug 6 2015, 11:56 AM